> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Labels

> Get all labels for a specific workspace



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi get /label/workspace/{workspaceId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /label/workspace/{workspaceId}:
    get:
      tags:
        - Labels
      summary: Get Workspace Labels
      description: Get all labels for a specific workspace
      operationId: getWorkspaceLabels
      parameters:
        - in: path
          name: workspaceId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: List of labels in the workspace
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    color:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    taskId:
                      type: string
                      nullable: true
                    workspaceId:
                      type: string
                      nullable: true
                  required:
                    - id
                    - name
                    - color
                    - createdAt
                    - taskId
                    - workspaceId
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````